// import {useSessionStore} from "@/lib/store/sessionStore";
// import {useSettingStore} from "@/lib/store/useSettings";
import { useQuery } from "@tanstack/react-query";
import { getlabels } from "@/utils/querys/production/labels";

import { LabelTable } from "@/utils/tableData/production/labels/labelData";
import { labelolumns } from "@/utils/tableData/production/labels/labelColumns";

export default function LabelLog() {
    const { data, isError, isLoading } = useQuery(getlabels("4"));

    if (isError) return <div>Error</div>;

    if (isLoading) return <div>Loading</div>;
    const labelData = data ? data : [];
    return (
        <div className="m-2">
            <LabelTable
                columns={labelolumns}
                data={labelData}
                //style={style}
            />
        </div>
    );
}
